
/* Syntax  - CSS from http://wiki2go.nayima.be/Wiki2Go/RubySyntaxHighlighting.html */

pre {
 white-space: pre-wrap;       /* css-3 */
 word-wrap: break-word;       /* Internet Explorer 5.5+ */
 min-width: 600px;
 max-width: 85%;
 margin-left: 2%;
}

@media (max-width: 767px) {
    
    pre      { 
        min-width: 300px; 
    }
    pre code { 
        font-size: 0.6em; 
        line-height: 0.4em;
    }
}

pre.grammar { background: #ffffff; color: #666666; }

.ruby .normal    { color: #000; }
.ruby .comment   { color: #840; background: #eee; font-style: italic; }
.ruby .keyword   { color: #24c; font-weight: bold; }
.ruby .method    { color: #44f; }
.ruby .class     { color: #0c4; font-weight: bold; }
.ruby .module    { color: #050; }
.ruby .punct     { color: #668; font-weight: bold; }
.ruby .symbol    { color: #609; }
.ruby .string    { color: #484; }
.ruby .char      { color: #F07; }
.ruby .ident     { color: #888; }
.ruby .constant  { color: #0c4; font-weight: bold; }
.ruby .regex     { color: #B66; background: #FEF; }
.ruby .number    { color: #c99; font-weight: bold; }
.ruby .attribute { color: #ea4; }
.ruby .global    { color: #7FB; }
.ruby .expr      { color: #227; }
.ruby .escape    { color: #277; }

pre.codehilite  { background-color: #222222; color: white; }
.codehilite .c { color: #0000c0 } /* Comment */
.codehilite .err { color: #cccccc; border: 1px solid #FF0000 } /* Error */
.codehilite .g { color: #cccccc } /* Generic */
.codehilite .k { color: #00cdcd } /* Keyword */
.codehilite .l { color: #cccccc } /* Literal */
.codehilite .n { color: #cccccc } /* Name */
.codehilite .o { color: #3399cc } /* Operator */
.codehilite .x { color: #cccccc } /* Other */
.codehilite .p { color: #cccccc } /* Punctuation */
.codehilite .cm { color: #000080 } /* Comment.Multiline */
.codehilite .cp { color: #000080 } /* Comment.Preproc */
.codehilite .c1 { color: #4444c0 } /* Comment.Single */
.codehilite .cs { color: #cd0000; font-weight: bold } /* Comment.Special */
.codehilite .gd { color: #cd0000 } /* Generic.Deleted */
.codehilite .ge { color: #cccccc; font-style: italic } /* Generic.Emph */
.codehilite .gr { color: #FF0000 } /* Generic.Error */
.codehilite .gh { color: #000080; font-weight: bold } /* Generic.Heading */
.codehilite .gi { color: #00cd00 } /* Generic.Inserted */
.codehilite .go { color: #808080 } /* Generic.Output */
.codehilite .gp { color: #000080; font-weight: bold } /* Generic.Prompt */
.codehilite .gs { color: #cccccc; font-weight: bold } /* Generic.Strong */
.codehilite .gu { color: #800080; font-weight: bold } /* Generic.Subheading */
.codehilite .gt { color: #0040D0 } /* Generic.Traceback */
.codehilite .kc { color: #cdcd00 } /* Keyword.Constant */
.codehilite .kd { color: #00cd00 } /* Keyword.Declaration */
.codehilite .kn { color: #cd00cd } /* Keyword.Namespace */
.codehilite .kp { color: #cdcd00 } /* Keyword.Pseudo */
.codehilite .kr { color: #cdcd00 } /* Keyword.Reserved */
.codehilite .kt { color: #00cd00 } /* Keyword.Type */
.codehilite .ld { color: #cccccc } /* Literal.Date */
.codehilite .m { color: #cd00cd } /* Literal.Number */
.codehilite .s { color: #cd0000 } /* Literal.String */
.codehilite .na { color: #cccccc } /* Name.Attribute */
.codehilite .nb { color: #cd00cd } /* Name.Builtin */
.codehilite .nc { color: #006d00 } /* Name.Class */
.codehilite .no { color: #cccccc } /* Name.Constant */
.codehilite .nd { color: #cccccc } /* Name.Decorator */
.codehilite .ni { color: #cccccc } /* Name.Entity */
.codehilite .ne { color: #666699; font-weight: bold } /* Name.Exception */
.codehilite .nf { color: #cccccc } /* Name.Function */
.codehilite .nl { color: #cccccc } /* Name.Label */
.codehilite .nn { color: #cccccc } /* Name.Namespace */
.codehilite .nx { color: #cccccc } /* Name.Other */
.codehilite .py { color: #cccccc } /* Name.Property */
.codehilite .nt { color: #cccccc } /* Name.Tag */
.codehilite .nv { color: #00cdcd } /* Name.Variable */
.codehilite .ow { color: #cdcd00 } /* Operator.Word */
.codehilite .w { color: #cccccc } /* Text.Whitespace */
.codehilite .mf { color: #cd00cd } /* Literal.Number.Float */
.codehilite .mh { color: #cd00cd } /* Literal.Number.Hex */
.codehilite .mi { color: #cd00cd } /* Literal.Number.Integer */
.codehilite .mo { color: #cd00cd } /* Literal.Number.Oct */
.codehilite .sb { color: #cd0000 } /* Literal.String.Backtick */
.codehilite .sc { color: #cd0000 } /* Literal.String.Char */
.codehilite .sd { color: #cd0000 } /* Literal.String.Doc */
.codehilite .s2 { color: #cd0000 } /* Literal.String.Double */
.codehilite .se { color: #cd0000 } /* Literal.String.Escape */
.codehilite .sh { color: #cd0000 } /* Literal.String.Heredoc */
.codehilite .si { color: #cd0000 } /* Literal.String.Interpol */
.codehilite .sx { color: #cd0000 } /* Literal.String.Other */
.codehilite .sr { color: #cd0000 } /* Literal.String.Regex */
.codehilite .s1 { color: #cd0000 } /* Literal.String.Single */
.codehilite .ss { color: #cd0000 } /* Literal.String.Symbol */
.codehilite .bp { color: #cd00cd } /* Name.Builtin.Pseudo */
.codehilite .vc { color: #00cdcd } /* Name.Variable.Class */
.codehilite .vg { color: #00cdcd } /* Name.Variable.Global */
.codehilite .vi { color: #cdcd00 } /* Name.Variable.Instance */
.codehilite .il { color: #cd00cd } /* Literal.Number.Integer.Long */

.clj .p { font-weight: bold; color: red; }
.clj .nf { color: #0c4; font-weight: bold; }

.asm .directive { color: purple; }
.asm .comma     { color: yellow; font-weight: bold; }
.asm .paren     { color: white; font-weight: bold; }
.asm .value     { color: purple; font-weight: bold; }
.asm .number    { color: purple; }
.asm .label     { color: cyan; background: none; }
.asm .register  { color: red; }
.asm .operator  { color: white; }
.asm .quoted    { color: green; }

.gherkin .directive { color: blue; font-weight: bold; }
.gherkin .featurename { color: green; font-weight: bold; }
.gherkin .name { color: #88f; font-weight: bold; }
pre-wra.gherkin .string { color: purple; font-weight: bold; }
.gherkin .string    { color: #484; font-weight: bold; background: #e8e8e8; }
.gherkin .subst { color: #cc0; font-weight: bold; }
.gherkin .tag { color: #c44; }
.gherkin .when { font-weight: bold; }
.gherkin .given { font-weight: bold; }
.gherkin .then { font-weight: bold; }

.dot .keyword { color: green; font-weight: bold; }
.dot .punct { font-weight: bold; }
.dot .edge { color: red; font-weight: bold; }
.dot .string { color: brown; }

/* "Dark theme" */

.dark pre.grammar { background: black; color: white; }
.dark pre { background: #111; color: #ccc; }
.dark .normal { color: #fff; }
.dark .operator { color: #fff; }
.dark .comment { background: #222; color: #c84; }
.dark .regex { background: #232; }
.dark .gherkin .string { background: #282828; color: #6a6; }
